public:
  // Overrides the base class version of minimize()
  virtual void minimize(FXbool notify=FALSE);

  // Overrides the base class version of maximize()
  virtual void maximize(FXbool notify=FALSE);

  // Overrides the base class version of restore()
  virtual void restore(FXbool notify=FALSE);
